BitLocker Device Management (IoT) Agent Pre-Installation Requirements

When installing the TruGrid Device Management (IoT) Agent, you might see a message similar to below. There are minimum system requirements to install the agent and we recommend ensuring the operating system is first fully patched and up to date.



Below are explanations about these minimum system requirements:

Microsoft .NET Framework 4.0 Server Feature on a Server - If this is not already enabled in Features on the Windows server, refer to this documentation from Microsoft on how to enable .NET Framework on Windows Server 2012 (for example).

BitLocker Server feature is not installed on a Server - In Windows server, you must first enable the BitLocker server feature. Please refer to this documentation from Microsoft on how to enable BitLocker on Windows Server 2012 for example.

PowerShell 5.0 Windows Update - Please refer to this documentation from Microsoft on how to download and install the PowerShell 5.0 Windows update. This is required on Windows 7 and Windows 8.

Microsoft .NET Framework 4.7.1 Update - Please download from this direct link and install onto the user machine or server.

Below are additional updates you might encounter being needed:

Windows 7 32 Bit: KB3191566
Windows 7 64 Bit: KB3191565
Windows 8 64 Bit: KB3191564
Was this article helpful?
Cancel
Thank you!